unit UnAvi1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, MPlayer, ExtCtrls, Gauges;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    MediaPlayer1: TMediaPlayer;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    FilterComboBox1: TFilterComboBox;
    CheckBox1: TCheckBox;
    Gauge1: TGauge;
    Timer1: TTimer;
    procedure FileListBox1DblClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure DriveComboBox1Click(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FileListBox1DblClick(Sender: TObject);
begin
  with MediaPlayer1 do
  begin
    Close;
    FileName:=FileListBox1.FileName;
    Open;
    Play;
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
var
  Start_From : Longint;
begin
  with MediaPlayer1 do begin
    if FileName='' then Exit;
    Start_From:=Position;
    Close;
    Panel1.Refresh;

    if CheckBox1.Checked then
      Display:=Panel1
    else
      Display:=NIL;

    Open;
    Position:=Start_From;
    Play;
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  with MediaPlayer1 do
    if FileName<>'' then
      Gauge1.Progress:=Round(100*Position/Length);
end;

procedure TForm1.DriveComboBox1Click(Sender: TObject);
begin
Form1.DirectoryListBox1.Drive:=Form1.DriveComboBox1.Drive;
end;

procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
Form1.FileListBox1.Directory:=Form1.DirectoryListBox1.Directory; 
end;

end.
